<?php
error_reporting(0); 
include("../../config/ht.php");
session_start();
if(!isset($_SESSION['adminname'])){echo "<script>alert('请重新登录!')</script><script>top.location.href='/$htlj/'</script>";exit;}
$adminname=$_SESSION['adminname'];
$type="where name='$adminname'";
$adminpd=queryall(admin,$type);
if(!$adminpd){echo "<script>alert('请重新登录!')</script><script>top.location.href='/$htlj/'</script>";exit;}
if($adminpd[qx]=='超级管理员'){}else{echo "<script>alert('无权限')</script><script>top.location.href='/$htlj/'</script>";exit;}
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="gb2312">
<title>扣量配置</title>
<meta name="renderer" content="webkit">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<link rel="stylesheet" href="/layui/css/houtai.css" media="all" />
<link rel="stylesheet" href="/2019newui/houtai/css/font-awesome.min.css" media="all" />
<link rel="stylesheet" href="/2019newui/houtai/css/admin.css" media="all">
<link rel="stylesheet" href="/2019newui/houtai/css/peizhi.css" media="all">
<script src="/2019newui/js/jquery.min.js"></script>
<script src="/layui/layui.js"></script>
<script src="/2019newui/js/bootstrap.min.js"></script>
<style type="text/css">
#tooltip{position:absolute;border:1px solid #ccc;background:#333;padding:2px;display:none;color:#fff;}
</style>
</head>
<body style="padding:10px;">
<div class="tplay-body-div">
<div class="layui-tab">
<ul class="layui-tab-title">
<li ><a href="/htkl<?php echo $dshz?>" class="a_menu">扣量列表</a></li>
<li class="layui-this"><a href="/htklpz<?php echo $dshz?>" class="a_menu">扣量配置</a></li>
</ul>
</div>
<fieldset class="layui-elem-field layui-field-title" style="margin-top: 30px;"><legend>扣量配置</legend></fieldset>
<div class="layui-tab layui-tab-brief">
<div class="layui-tab-content">
<div class="layui-form-item">
<div class="layui-inline">
<a class="layui-btn layui-btn-normal addNews_btn pub_btn" data-toggle="modal" data-target="#myPublic2">添加配置</a>
</div>
</div>
</div> 
<table class="layui-table" >
<thead>
<tr>
<th style="text-align:center;" >代理ID</th>
<th style="text-align:center;">初始值</th>
<th style="text-align:center;">倒数值</th>
<th style="text-align:center;">操作</th>
</tr>
</thead>
<tbody>
<?php 
$page_size=10; 
$sql = "WHERE 1=1";
$resultyttrt = mysql_query("select id from link   ".$sql."  ");
$coun = mysql_num_rows($resultyttrt); 
if($coun == 0){echo '<tr> <td  colspan=15  style="text-align:center;"><center>没有记录</center></td></tr>';}
$page_count = ceil($coun/$page_size); 
$init=1; 
$page_len=7; 
$max_p=$page_count; 
$pages=$page_count; 
//判断当前页码 
if(empty($_GET['page'])||$_GET['page']<0){ 
$page=1; 
}else { 
$page=$_GET['page']; 
} 
$offset=$page_size*($page-1); 
$query = mysql_query("select * from  link   ".$sql." order by id desc   limit $offset, $page_size");
while ($a=mysql_fetch_array($query)) { 
?> 	
<tr>
<td style="text-align:center;"><?php echo $a[userid]?></td>
<td style="text-align:center;"><?php echo $a[ns]?></td>
<td style="text-align:center;"><?php echo $a[cs]?></td>
<td style="text-align:center;">
<a class="layui-btn layui-btn-xs a_menu layui-btn-primary publish_btn"  data-id="<?php echo $a[id]?>" data-toggle="modal" data-target="#myPublic"  data-cs="<?php echo $a[cs]?>"   data-ns="<?php echo $a[ns]?>"    style="margin-right: 0;font-size:12px;"><i class="layui-icon"></i></a>
<a class="layui-btn layui-btn-xs delete layui-btn-primary"  style="margin-right: 0;font-size:12px;"  onClick="sc('<?php echo $a[id]?>')"><i class="layui-icon"></i></a>
</td>
</tr>
<?php 
} 
$page_len = ($page_len%2)?$page_len:$pagelen+1;//页码个数 
$pageoffset = ($page_len-1)/2;//页码个数左右偏移量 
if($page!=1){ 
$keyt.="<a href=\""."/htklpzpage/1/\">首页</a>"; //首页 
$keyt.="<a href=\""."/htklpzpage/".($page-1)."/\">上一页 </a>"; //上一页 
}else { 
$keyt.="<p>首页</p>"; //首页 
$keyt.="<p>上一页 </p>"; //上一页  
} 
if($pages>$page_len){ 
//如果当前页小于等于左偏移 
if($page<=$pageoffset){ 
$init=1; 
$max_p = $page_len; 
}else{//如果当前页大于左偏移 
//如果当前页码右偏移超出最大分页数 
if($page+$pageoffset>=$pages+1){ 
$init = $pages-$page_len+1; 
}else{ 
//左右偏移都存在时的计算 
$init = $page-$pageoffset; 
$max_p = $page+$pageoffset; 
} 
} 
} 
for($i=$init;$i<=$max_p;$i++){ 
if($i==$page){ 
$keyt.='<a class="cur">'.$i.'</a>'; 
} else { 
$keyt.="<a href=\""."/htklpzpage/".$i."/\">".$i."</a>"; 
} 
} 
if($page!=$pages){ 
$keyt.="<a href=\""."/htklpzpage/".($page+1)."/\">下一页 </a> ";//下一页 
$keyt.="<a href=\""."/htklpzpage/{$pages}/\">尾页</a> "; //最后一页 
}else { 
$keyt.="<p>下一页 </p>";//下一页 
$keyt.="<p>尾页</p>"; //最后一页 
} 
$keyt.="<p class='pageRemark' >当前第 <b>$page</b> 页/共 <b>$pages</b> 页  共 <b>$coun</b> 条数据 </p>"; //第几页,共几页 
?> 
</tbody>
</table>
<div style="padding:0 20px;">
<div class="pagination">
<?php if($coun =="0"){?><?php }else{?><?php echo $keyt?><?php }?>
</div>
</div>
</div>
<script>
layui.use(['form', 'layedit', 'laydate', 'element', 'jquery', 'layer'], function(){
var form = layui.form
,layer   = layui.layer
,layedit = layui.layedit
,element = layui.element
,$= layui.jquery
,laydate = layui.laydate;
});
</script>
<?php if($coun =="0"){?>
<?php }else{?>
<script type="text/javascript">
function sc(id) {
layer.confirm("确认要删除吗?", { title: "删除确认" }, function (index) {
layer.close(index);
var index = layer.load(3, {
shade: [0.1,'#fff'] 
});
$.ajax({
type : "post",
url : "/htpost<?php echo $dshz?>",
dataType: "json",  
async: true,
data: {id: id,lx:'klpzsc'},
timeout: 10000 ,
success : function(data){
if(data.zt=='1'){  
layer.closeAll('loading');
layer.msg('删除成功');
location.reload();
} 
},
error:function(){
}
});
}); 
}
</script>
<?php }?>
<script type="text/javascript">
$(function () {
$("#publish_btn").click(function () {
var id = $("#recipient-id").val();
var cs = $("#recipient-cs").val();
var ns = $("#recipient-ns").val();
if (ns == '') {
layer.msg('请输入初始值');
return false;
}
if (cs == '') {
layer.msg('请输入倒数值');
return false;
}
var index = layer.load(3, {
shade: [0.1,'#fff'] 
});
$.ajax({
type : "post",
url : "/htpost<?php echo $dshz?>",
dataType: "json",  
async: true,
data: {id:id,cs:cs,ns:ns,lx:'klpzxg'},
timeout: 10000 ,
success : function(data){
if(data.zt=='1'){  
layer.closeAll('loading');
layer.msg('更新成功');
location.reload();
} 
},
error:function(){
}
});
});
})
$('.publish_btn').on('click', function () {
$('#recipient-id').val($(this).data('id'));
$('#recipient-cs').val($(this).data('cs'));
$('#recipient-ns').val($(this).data('ns'));
})
</script>
<script type="text/javascript">
$('.pub_btn').on('click', function () {
})
$(function () {
$("#pub_btn").click(function () {
var userid = $("#userid").val();
var cs = $("#cs").val();
if (userid == '') {
layer.msg('请输入代理ID');
return false;
}
if (cs == '') {
layer.msg('请输入扣量参数');
return false;
}
var index = layer.load(3, {
shade: [0.1,'#fff'] 
});
$.ajax({
type : "post",
url : "/htpost<?php echo $dshz?>",
dataType: "json",  
async: true,
data: {userid:userid,cs:cs,lx:'klpzadd'},
timeout: 10000 ,
success : function(data){
if(data.zt=='1'){  
layer.closeAll('loading');
layer.msg('添加成功');
location.reload();
}else{
layer.closeAll('loading');
layer.msg(data.msg);
location.reload();
} 
},
error:function(){
}
});
});
})
</script>
<div class="modal fade layui-form" id="myPublic2" tabindex="-1" role="dialog" aria-labelledby="myPublicLabel">
<div class="modal-dialog" role="document">
<div class="modal-content">
<div class="modal-header">
<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
<h4 class="modal-title" id="myModalLabel">添加扣量参数</h4>
</div>
<div class="modal-body">
<div class="form-group">
<label  class="control-label">代理ID</label>
<select id="userid" lay-verify="" lay-search>
<option value="">可以搜索代理ID</option>
<?php 
$query = mysql_query("SELECT * FROM user");
while($a = mysql_fetch_array($query)) {
?>
<option value="<?php echo $a[userid]?>"><?php echo $a[name]?>（<?php echo $a[userid]?>）</option>
<?php }?>
</select>
</div>
<div class="form-group">
<label  class="control-label">多少起扣</label>
<input type="text"  class="layui-input" id="cs" placeholder="请输入参数比如10则为10笔扣一笔" onkeyup="value=value.replace(/[^\d]/g,'')"  >
</div>
<div class="modal-footer">
<button type="button" class="btn btn-default" data-dismiss="modal">取消</button>
<button type="button" id="pub_btn" class="btn btn-primary">确认</button>
</div>
</div>
</div>
</div>
</div>
<div class="modal fade layui-form" id="myPublic" tabindex="-1" role="dialog" aria-labelledby="myPublicLabel">
<div class="modal-dialog" role="document">
<div class="modal-content">
<div class="modal-header">
<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
<h4 class="modal-title" id="myModalLabel">修改扣量参数</h4>
</div>
<div class="modal-body">
<input type="hidden" name="id" class="form-control" id="recipient-id">
<div class="form-group">
<label  class="control-label">初始值</label>
<input type="text" name="ns" class="layui-input" id="recipient-ns" onkeyup="value=value.replace(/[^\d]/g,'')" >
</div>
<div class="form-group">
<label  class="control-label">倒数值</label>
<input type="text" name="cs" class="layui-input" id="recipient-cs" onkeyup="value=value.replace(/[^\d]/g,'')" >
</div>
</div>
<div class="modal-footer">
<button type="button" class="btn btn-default" data-dismiss="modal">取消</button>
<button type="button" id="publish_btn" class="btn btn-primary">确认</button>
</div>
</div>
</div>
</div>
</div>
</div>
</div>
</div>
</body>
</html>